import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        size?: string | undefined;
        variation?: "black" | "color" | "icon" | "white" | undefined;
        ariaLabel?: string | undefined;
    };
    events: {
        click: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
        mouseout: MouseEvent;
        blur: FocusEvent;
        focus: FocusEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type DataProps = typeof __propDef.props;
export type DataEvents = typeof __propDef.events;
export type DataSlots = typeof __propDef.slots;
/**
 * [Go to Document](https://svelte-cryptocurrency-icons.codewithshin.com/)
 *
 * ## Props
 * @prop size = "32";
 * @prop variation: "black" | "color" | "icon" | "white" = "color";
 */
export default class Data extends SvelteComponentTyped<DataProps, DataEvents, DataSlots> {
}
export {};
